Change logs for deja-dup source package in Experimental

  • deja-dup (38.4-1) experimental; urgency=medium
    
      * New upstream release (LP: #1823421)
        - Be more forgiving if packagekit is unresponsive
        - Don't run monitor when automatic backups are disabled
        - Drop libpeas dependency
        - Fix compilation with valac 0.43
        - Update app icon
        - Update translations
      * Drop libpeas BD per upstream
      * debian/docs: NEWS is now called NEWS.md
      * Take patch from upstream MR !22 to fix many tests under GLib 2.59
        g_key_file_get_comment() used to append a stray newline to its return
        value, and it stopped doing this with 2.59. deja-dup was accidentally
        relying on that behaviour.
      * Take patch from upstream MR !22 to fix whitespace assumption in test.
        Since GLib 2.59.1, g_format_size() started using non-breaking spaces
        instead of regular ones to separate the size from the unit. deja-dup was
        only testing for the latter. Update the test to use a regex with `\s`, so
        we match all types of whitespace.
    
     -- Iain Lane <email address hidden>  Wed, 10 Apr 2019 13:56:48 +0100
  • deja-dup (37.1-2) experimental; urgency=medium
    
      * Add 0002-don-t-use-ulimit.patch:
        - Stop using ulimit since it is incompatible with webkit2gtk 2.20
          (LP: #1751460)
    
     -- Jeremy Bicha <email address hidden>  Fri, 16 Mar 2018 14:31:28 -0400
  • deja-dup (37.1-1) experimental; urgency=medium
    
      * New upstream unstable release
      * debian/watch: watch for unstable releases
      * Cherry pick upstream patch to exclude snap cache directories
      * maintscript: Bump version since Ubuntu didn't take this until now
    
     -- Jeremy Bicha <email address hidden>  Fri, 26 Jan 2018 20:23:14 -0500
  • deja-dup (35.5-1) experimental; urgency=medium
    
      * New upstream release.
        - Adjust the build-dependencies
      * debian/rules:
        - Really use meson/ninja for the build, upstream is shipping a Makefile
          this makes debhelper use that file instead of ninja.
        - Define the name of the package that can be installed via packagekit
      * debian/control.in:
        - Update the description to reflect that deja-dup now supports owncloud
        - Downgrade python-cloudfiles and python-boto to Suggests, those backends
          are now hidden by default, but still supported for old users
    
     -- Laurent Bigonville <email address hidden>  Sun, 27 Aug 2017 14:05:41 +0200
  • deja-dup (35.3-1) experimental; urgency=medium
    
      * New upstream release.
        - Switch to meson build system
        - Bump the build-dependencies
        - Drop debian/patches/help2man.patch, not needed anymore
      * debian/control.in: Bump Standards-Version to 4.0.0 (no further changes)
      * Update the debian/copyright file, based on ubuntu one
    
     -- Laurent Bigonville <email address hidden>  Fri, 11 Aug 2017 16:55:44 +0200
  • deja-dup (18.1.1-1) experimental; urgency=low
      * New upstream release (Closes: #613336)    - Fixed GPG error during restore (Closes: #624598)  * Remove .la files (Closes: #621293)   * debian/rules:    - Convert to dh8  * debian/source/format:    - Convert to 3.0 (quilt)  * debian/control:    - Update description  * debian/copyright:    - Update from upstream AUTHORS  (These changes where taken from Ubuntu package)   -- Jose Carlos Garcia Sogo <email address hidden>  Sun, 22 May 2011 11:08:37 +0000